from base.randomaizer import Randomizer


class InputDAata:
    INVALID_EMAIL = Randomizer.random_char(7)
    INVALID_PASS = Randomizer.random_char(7)
    VALID_EMAIL_NOT_REGISTER = Randomizer.random_char(7) + "@" + Randomizer.random_char(7) + ".com"
    VALID_EMAIL = "andrii.l@interactivated.me"
    VALID_PASS = "Test_test"


class ExpectedData:
    EXPECTED_EMAIL_ERROR_INVALID = "Please enter a valid email address (Ex: johndoe@domain.com)."
    EXPECTED_ERROR_IN_TOP_1 = "The account sign-in was incorrect or your account is disabled temporarily. Please wait and try again later."
    REQUIRED_FIELD_ERROR = "This is a required field."
    CATEGORY_BANNERS_H3 = [['FloorLiner', 'Cargo/Trunk Liner', 'CupFone®', 'DeskFone™', 'Seat Back Protector', 'CargoTech®', 'Door Mats & Boot Tray', 'Pet Accessories', 'Seat Protector', 'Side Window Deflectors', 'SunShade', 'Coasters'],
                           ['Tapis de Sol FloorLiner', 'Tapis de Coffre', 'CupFone®', 'DeskFone™', 'Protecteur de Dossier de Siège', 'CargoTech®', 'Nos Paillassons', 'Accessoires pour Animaux', 'Protection de Siège', 'Déflecteur de Vent', 'Pare Soleil', 'Dessous de Verre'],
                           ['Fußmatten FloorLiner', 'Kofferraumwanne', 'CupFone®', 'DeskFone™', 'Autositz Trittschutz', 'CargoTech®', 'Unsere Türmatte', 'Haustierzubehör', 'Sitzabdeckung', 'Windabweiser', 'Sonnenschutz', 'Bierdeckel'],
                           ['Tappetini FloorLiner', 'Vasca Baule', 'CupFone®', 'DeskFone™', 'Protezione Schienale', 'CargoTech®', 'I Nostri Zerbini', 'Accessori Animali', 'Proteggi Sedili', 'Deflettori Finestrini', 'Para Sole', 'Sottobicchieri']]
    CATEGORY_BANNERS_DESCRIPTIONS = [["The World's Most Famous Laser Measured Floor Mats", 'The Custom-Fit Protection for your Cargo/Trunk', 'The Definitive Car Phone Holder', 'The Desk Phone Stand', 'Kick Mat and Organizer for the Back of your Seat', 'Car Trunk Organizer and Containment System', 'Protect the Floor of your Home or your Office', 'Everything you need for your Pet', 'Indestructible, Water Resistent and Easy to Clean', 'Beautiful and Functional', 'Custom-Fit Windshield and Side Window Sun Shade', 'Drink Coaster of Every Dimension for Every Need'],
                                     ['Le tapis de sol sur mesure découpé au laser le plus célèbre au monde', 'La protection sur mesure pour le coffre de votre voiture', 'Le support de smartphone pour voiture par excellence', 'Le support de téléphone pour bureau', 'Housse et poche de rangement pour l’arrière de votre siège', 'Organisteur de coffre de voiture et système de confinement', 'Protégez les sols de votre maison ou de votre bureau', 'Tout ce dont vous avez besoin', 'Indestructible, imperméable et facile à nettoyer', 'Beau et pratique', 'Pare-soleil de voiture sur mesure', 'De toutes tailles, pour tous les besoins'],
                                     ['Die Weltbekannten Laservermessenen Fußmatten', 'Der Passgenaue Schutz für Ihren Kofferraum', 'Die Ultimative Handyhalterung Auto', 'Der Handy Ständer für den Schreibtisch', 'Schutzmatte und Organizer für die Sitzrückseite', 'Kofferraum-Organizer und Rutschfeste Blöcke Auto', 'Schützt den Boden in Ihrer Wohnung oder im Büro', 'Alles, was Sie brauchen', 'Unverwüstlich, Wasserabweisend und Pflegeleicht', 'Schön und funktionell', 'Maßgeschneiderter Sonnenschutz für Windschutz- und Seitenscheibe', 'Bierdeckel in jeder Größe für jeden Bedarf'],
                                     ['I Tappetini Auto su Misura più Conosciuti al Mondo', 'Il Copri Baule su Misura', 'Il Migliore Porta Cellulare Auto', 'Il Porta Cellulare da Tavolo Adattabile', "L' Organizer Auto e Paracalci per Bambini", 'Il Ferma Oggetti per il tuo Baule', 'Proteggi il Pavimento della tua Casa o del tuo Ufficio', 'Tutto quello di cui hai Bisogno per il tuo Animale', 'Indistruttibili, Impermeabili e Facili da Pulire', 'Belli e Funzionali', "Su Misura per il tuo Modello d'auto", 'Di ogni Dimensione per ogni Occasione']]
    EXPECTED_ERROR_IN_TOP_2 = "There is already an account with this email address. If you are sure that it is your email address, click here to get your password and access your account."
    EMPTY_CART_TEXT = ['You have no items in your shopping cart.\nClick here to continue shopping.',
                      'Aucun article dans votre panier.\nCliquez ici pour continuer vos achats.',
                      'Sie haben keine Artikel in Ihrem Warenkorb.\nKlicken Sie hier um weiter einzukaufen.',
                      'Non ci sono articoli nel tuo carrello.\nClicca qui per proseguire con gli acquisti.']
    MODEL_SELECT_DROPDOWN_TEXT = ['Select Make\nALL\nAcura\nAlfa Romeo\nAston Martin\nAudi\nBMW\nBentley\nBugatti\nBuick\nCadillac\nChevrolet\nChrysler\nCitroen\nCupra\nDS\nDacia\nDaihatsu\nDodge\nDodge Ram\nFerrari\nFiat\nFord\nGMC\nHonda\nHummer\nHyundai\nInfiniti\nIsuzu\nJaguar\nJeep\nKia\nLamborghini\nLancia\nLand Rover / Range Rover\nLexus\nLincoln\nMINI\nMaserati\nMazda\nMcLaren\nMercedes-Benz\nMercury\nMitsubishi\nNissan\nOldsmobile\nOpel\nPeugeot\nPontiac\nPorsche\nRAM\nRenault\nSAAB\nSaturn\nSeat\nSkoda\nSmart\nSsangYong\nSubaru\nSuzuki\nTesla\nToyota\nVolkswagen\nVolvo',
                                  'Sélectionnez la marque\nALL\nAcura\nAlfa Romeo\nAston Martin\nAudi\nBMW\nBentley\nBugatti\nBuick\nCadillac\nChevrolet\nChrysler\nCitroen\nCupra\nDS\nDacia\nDaihatsu\nDodge\nDodge Ram\nFerrari\nFiat\nFord\nGMC\nHonda\nHummer\nHyundai\nInfiniti\nIsuzu\nJaguar\nJeep\nKia\nLamborghini\nLancia\nLand Rover / Range Rover\nLexus\nLincoln\nMINI\nMaserati\nMazda\nMcLaren\nMercedes-Benz\nMercury\nMitsubishi\nNissan\nOldsmobile\nOpel\nPeugeot\nPontiac\nPorsche\nRAM\nRenault\nSAAB\nSaturn\nSeat\nSkoda\nSmart\nSsangYong\nSubaru\nSuzuki\nTesla\nToyota\nVolkswagen\nVolvo',
                                  'Marke auswählen\nALL\nAcura\nAlfa Romeo\nAston Martin\nAudi\nBMW\nBentley\nBugatti\nBuick\nCadillac\nChevrolet\nChrysler\nCitroen\nCupra\nDS\nDacia\nDaihatsu\nDodge\nDodge Ram\nFerrari\nFiat\nFord\nGMC\nHonda\nHummer\nHyundai\nInfiniti\nIsuzu\nJaguar\nJeep\nKia\nLamborghini\nLancia\nLand Rover / Range Rover\nLexus\nLincoln\nMINI\nMaserati\nMazda\nMcLaren\nMercedes-Benz\nMercury\nMitsubishi\nNissan\nOldsmobile\nOpel\nPeugeot\nPontiac\nPorsche\nRAM\nRenault\nSAAB\nSaturn\nSeat\nSkoda\nSmart\nSsangYong\nSubaru\nSuzuki\nTesla\nToyota\nVolkswagen\nVolvo',
                                  'Seleziona Marca\nALL\nAcura\nAlfa Romeo\nAston Martin\nAudi\nBMW\nBentley\nBugatti\nBuick\nCadillac\nChevrolet\nChrysler\nCitroen\nCupra\nDS\nDacia\nDaihatsu\nDodge\nDodge Ram\nFerrari\nFiat\nFord\nGMC\nHonda\nHummer\nHyundai\nInfiniti\nIsuzu\nJaguar\nJeep\nKia\nLamborghini\nLancia\nLand Rover / Range Rover\nLexus\nLincoln\nMINI\nMaserati\nMazda\nMcLaren\nMercedes-Benz\nMercury\nMitsubishi\nNissan\nOldsmobile\nOpel\nPeugeot\nPontiac\nPorsche\nRAM\nRenault\nSAAB\nSaturn\nSeat\nSkoda\nSmart\nSsangYong\nSubaru\nSuzuki\nTesla\nToyota\nVolkswagen\nVolvo']
